Domain usage metrics
curl --request GET \
--url https://api.brightdata.com/domains/{metric} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/domains/{metric}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/domains/{metric}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Stats & usage
Domain consumption
Retrieve per-domain usage metrics including bandwidth and request count from the Bright Data Domain Consumption API. Returns 200 OK with JSON results.
GET
/
domains
/
{metric}
Domain usage metrics
Sample Requests
curl --request GET \
--url 'api.brightdata.com/domains/bw?from=2025-12-01&to=2025-12-10' \
--header 'Authorization: Bearer API_KEY'
curl --request GET \
--url 'api.brightdata.com/domains/bw?from=2025-12-01&to=2025-12-10&zones=zone_name' \
--header 'Authorization: Bearer API_KEY'
curl --request GET \
--url 'api.brightdata.com/domains/req?from=2025-12-01&to=2025-12-10&zones=zone_name' \
--header 'Authorization: Bearer API_KEY'
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Metric type to query:
Available Metrics
/bw- Bandwidth consumption/req- Request count
Available options:
bw, req Query Parameters
Start date (YYYY-MM-DD)
Example:
"2025-12-01"
End date (YYYY-MM-DD)
Example:
"2025-12-10"
Zone name filter. Omit to include all zones.
Example:
"zone_name"
Response
Successful response
The response is of type object.
Was this page helpful?